package com.zd.base.job.task;

import com.zd.system.api.chemical.RemoteStockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("chemicalTask")
public class ChemicalTask {

    @Autowired
    private RemoteStockService remoteStockService;

    /**
     * 化学品过期检测
     */
    public void expireCheck(){
        remoteStockService.expireCheck();
    }

    /**
     * 检测领用超时
     */
    public void checkOvertime(){
        remoteStockService.checkOvertime();
    }

    /**
     * 定时监测实验室化学品存放风险指标
     */
    public void indicatorMonitoring() {
        remoteStockService.indicatorMonitoring();
    }

    /**
     * 定时监测四医大短信上行结果
     */
    public void queryUplinkResult(){
        remoteStockService.queryUplinkResult();
    }

    /**
     * 四医大短信告警方案阶梯式通知流程
     */
    public void sendPhoneBySyd(){
        remoteStockService.sendPhoneBySyd();
    }
}
